USE [COWS]
GO
_CreateObject 'FS','dbo','GetCommaSepMDSNtwkActys'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[GetCommaSepMDSNtwkActys] 
(
	@EventID INT,
	@IDFlg BIT = 1
)
RETURNS VARCHAR(max)
AS
BEGIN
	DECLARE @list VARCHAR(max)   
	IF (@IDFlg=1)
	BEGIN
		SELECT @list = COALESCE(@list + ',', '') + CAST(mena.NTWK_ACTY_TYPE_ID AS VARCHAR(20)) 
			FROM dbo.MDS_EVENT_NTWK_ACTY mena WITH (NOLOCK)
			WHERE mena.EVENT_ID = @EventID
	END
	ELSE
	BEGIN
		SELECT @list = COALESCE(@list + '+', '') + CAST(lmna.NTWK_ACTY_TYPE_DES AS VARCHAR(20)) 
			FROM dbo.MDS_EVENT_NTWK_ACTY mena WITH (NOLOCK)
			INNER JOIN dbo.LK_MDS_NTWK_ACTY_TYPE lmna WITH (NOLOCK) ON lmna.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID
			WHERE mena.EVENT_ID = @EventID
	END
	RETURN @List
END